package com.vandyo.sentry.core.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Configuration
@ConfigurationProperties(prefix = "checkmeta")
@EnableConfigurationProperties(CheckMetaConfig.class)
public class CheckMetaConfig {

    private Map<String,String> desMap = new HashMap<>();
    private Map<String,Integer> timeMap = new HashMap<>();

    private List<String> emailList = new ArrayList<>();

    public List<String> getEmailList() {
        return emailList;
    }

    public void setEmailList(List<String> emailList) {
        this.emailList = emailList;
    }

    public Map<String, String> getDesMap() {
        return desMap;
    }

    public void setDesMap(Map<String, String> desMap) {
        this.desMap = desMap;
    }

    public Map<String, Integer> getTimeMap() {
        return timeMap;
    }

    public void setTimeMap(Map<String, Integer> timeMap) {
        this.timeMap = timeMap;
    }
}
